Bug 148658 - [PATCH] multimedia/dvdauthor: PNG images too big errors
Summary: [PATCH] multimedia/dvdauthor: PNG images too big errors
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pierre Beyssac
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-16 02:10 UTC by Sean Farley
Modified: 2010-07-26 14:13 UTC (History)
1 user (show)

See Also:


Attachments
dvdauthor-0.6.14_7.patch (1.13 KB, patch)
2010-07-16 02:10 UTC, Sean Farley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Farley freebsd_committer 2010-07-16 02:10:01 UTC
With the newer PNG library, spumux is detecting an errors about PNG
images being too big (at least on amd64).  This patches uses a specific
libpng type for width and height.

devede was generating a DVD with a menu that was non-functional.  It
took me awhile to narrow down the problem:  spumux was skipping the
addition of a subtitle to the menu MPG file but not causing devede to
return an error.  It seems that DVD's require a subtitle for the menu to
function even if it does not say anything.

Patch obtained from the dvdauthor repository:
http://github.com/ldo/dvdauthor/commit/fd5c2705825762a6361fbcf95099a42471d709d7

Added file(s):
- files/patch-src__subgen-image.c

Port maintainer (pb@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-07-16 02:10:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pb

Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=148658 

Date: Sat, 24 Jul 2010 11:16:23 +0200
Comment 2 Sean Farley freebsd_committer 2010-07-24 13:31:41 UTC
On Sat, 24 Jul 2010, Pierre Beyssac wrote:

> Hi,
>
> Thanks for the heads up and the patch.
>
> How about I upgrade the port directly to release 0.6.18 from 
> http://sourceforge.net/projects/dvdauthor/files/ ? Did you try it, 
> does it solve your problem?

You are welcome.

I did not try it, but I think 0.6.18 does not have the change.  I just 
checked; the fix in git was made in June while 0.6.18 was released in 
March.

Sean
-- 
scf@FreeBSD.org
Comment 3 Pierre Beyssac freebsd_committer 2010-07-24 17:38:27 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter service freebsd_committer 2010-07-24 18:40:29 UTC
pb          2010-07-24 16:38:07 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/dvdauthor Makefile 
  Added files:
    multimedia/dvdauthor/files patch-src__subgen-image.c 
  Log:
  Description from PR:
  
  With the newer PNG library, spumux is detecting an errors about PNG
  images being too big (at least on amd64).  This patches uses a specific
  libpng type for width and height.
  
  devede was generating a DVD with a menu that was non-functional.  It
  took me awhile to narrow down the problem:  spumux was skipping the
  addition of a subtitle to the menu MPG file but not causing devede to
  return an error.  It seems that DVD's require a subtitle for the menu to
  function even if it does not say anything.
  
  Patch obtained from the dvdauthor repository:
  http://github.com/ldo/dvdauthor/commit/fd5c2705825762a6361fbcf95099a42471d709d7
  
  PR:             ports/148658
  Submitted by:   scf
  
  Revision  Changes    Path
  1.41      +1 -1      ports/multimedia/dvdauthor/Makefile
  1.1       +15 -0     ports/multimedia/dvdauthor/files/patch-src__subgen-image.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"